package com.jamesquinley;

import static com.jamesquinley.DelegationServices.delegationServices.buildIndex;

/**
I/O and lobby management backend for new sandbox multiplayer game, go team (Marci and I!)
 */
public class Main {
    public static void main(String[] args) throws InterruptedException {
        com.jamesquinley.DelegationServices.delegationServices.connectionInit();
        System.out.println("Connected to NetJump server and Matchmaking Storage Server");
        buildIndex();
        System.out.println("An index has been initialized, matchmaking is now enabled.");
       while (true) {
           isolatedTrigger();
           Thread.sleep(500);
       }
    }

    static void isolatedTrigger() {
            try {
                com.jamesquinley.DelegationServices.delegationServices.matchmakingService();
            } catch (Exception e) {
                System.out.println("Something went wrong, DEBUG: " + e);
                System.out.println("Rebuilding database...");
                buildIndex();
            }
    }
}